Loading...
Searching...
No Matches
OpenMesh::Utils::Noncopyable Class Reference

This class demonstrates the non copyable idiom. More...

`#include <OpenMesh/Core/Utils/Noncopyable.hh>`

Inheritance diagram for OpenMesh::Utils::Noncopyable:
[legend]

## Detailed Description

This class demonstrates the non copyable idiom.

In some cases it is important an object can't be copied. Deriving from Noncopyable makes sure all relevant constructor and operators are made inaccessable, for public AND derived classes.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Utils/Noncopyable.hh